## libsieve 2.2.1

=== Makefile ===
# this is the version number :-)
PACKAGE = libsieve
VERSION = 2.2.1
SOURCES = src
OTHERS = AUTHORS COPYING NEWS README Makefile

all:
	@echo "This is the top level Makefile, which does two things:"
	@echo
	@echo "1. Makes tarballs, with the command 'make release'"
	@echo "2. Explains that to actually compile something, do this:"
	@echo "   cd src && ./configure && make"
	@echo
	@echo
	@echo "Please read over the documentation in the top level, too!"
	@echo

release: $(SOURCES) $(OTHERS)
	@echo
	@echo "->Making release for version: " $(VERSION)
	@echo
	@echo "->Copying all files to the directory: " $(PACKAGE)-$(VERSION)
	@echo
	-mkdir $(PACKAGE)-$(VERSION)
	-cp -pr $(SOURCES) $(OTHERS) $(PACKAGE)-$(VERSION)
	@echo
	@echo "->Making the compressed tar file " $(PACKAGE)-$(VERSION).tar.gz
	@echo
	-tar cf - $(PACKAGE)-$(VERSION) | gzip > $(PACKAGE)-$(VERSION).tar.gz
	@echo
	@echo "->Removing the temporary directory: " $(PACKAGE)-$(VERSION)
	@echo
	-rm -rf $(PACKAGE)-$(VERSION)
	@echo

## libsieve 2.2.3

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # this is the version number :-)
 PACKAGE = libsieve
-VERSION = 2.2.1
+VERSION = 2.2.3
 SOURCES = src
 OTHERS = AUTHORS COPYING NEWS README Makefile
 
@@ -24,6 +24,18 @@
 	-mkdir $(PACKAGE)-$(VERSION)
 	-cp -pr $(SOURCES) $(OTHERS) $(PACKAGE)-$(VERSION)
 	@echo
+	@echo "->Removing SVN control files: " $(PACKAGE)-$(VERSION)/.svn " " $(PACKAGE)-$(VERSION)/*/.svn
+	@echo
+	-rm -fr $(PACKAGE)-$(VERSION)/.svn $(PACKAGE)-$(VERSION)/*/.svn $(PACKAGE)-$(VERSION)/*/*/.svn
+	@echo
+	@echo "->Bootstrapping autotools: " $(PACKAGE)-$(VERSION)/src/bootstrap
+	@echo
+	-cd $(PACKAGE)-$(VERSION)/src/ && autoreconf -f -i
+	@echo
+	@echo "->Removing autotools cache: " $(PACKAGE)-$(VERSION)/autom4te.cache
+	@echo
+	-rm -fr $(PACKAGE)-$(VERSION)/src/autom4te.cache
+	@echo
 	@echo "->Making the compressed tar file " $(PACKAGE)-$(VERSION).tar.gz
 	@echo
 	-tar cf - $(PACKAGE)-$(VERSION) | gzip > $(PACKAGE)-$(VERSION).tar.gz

## libsieve 2.2.6

=== Makefile ===
--- 
+++ 
@@ -1,18 +1,39 @@
 # this is the version number :-)
 PACKAGE = libsieve
-VERSION = 2.2.3
+VERSION = 2.2.6
 SOURCES = src
+DOCS = www rfc
 OTHERS = AUTHORS COPYING NEWS README Makefile
 
 all:
-	@echo "This is the top level Makefile, which does two things:"
+	@echo "This is the top level Makefile, which does three things:"
 	@echo
-	@echo "1. Makes tarballs, with the command 'make release'"
-	@echo "2. Explains that to actually compile something, do this:"
+	@echo "1. Makes releases, with the command 'make release'"
+	@echo "2. Makes tarballs, with the command 'make snapshot'"
+	@echo "3. Explains that to actually compile something, do this:"
 	@echo "   cd src && ./configure && make"
 	@echo
 	@echo
 	@echo "Please read over the documentation in the top level, too!"
+	@echo
+
+# a rule to make snapshots
+snapshot: $(SOURCES) $(DOCS) $(OTHERS)
+	@echo
+	@echo "->Note: The version for now is hacked into Makefile as: " $(VERSION)
+	@echo
+	@echo "->Copying all release files to the directory: " $(PACKAGE)-$(VERSION)
+	@echo
+	-mkdir $(PACKAGE)-$(VERSION)
+	-cp -pr $(SOURCES) $(DOCS) $(OTHERS) $(PACKAGE)-$(VERSION)
+	@echo
+	@echo "->Making the compressed tar file " $(PACKAGE)-$(VERSION).tar.gz
+	@echo
+	-tar cf - $(PACKAGE)-$(VERSION) | gzip > $(PACKAGE)-$(VERSION).tar.gz
+	@echo
+	@echo "->Removing the temporary directory: " $(PACKAGE)-$(VERSION)
+	@echo
+	-rm -rf $(PACKAGE)-$(VERSION)
 	@echo
 
 release: $(SOURCES) $(OTHERS)

=== debian/changelog ===
libsieve (2.2.6-8) unstable; urgency=medium

  * QA upload.
  * Build with --no-parallel to workaround frequent FTBFS caused
    by the previous upload.

 -- Adrian Bunk <bunk@debian.org>  Sun, 30 Nov 2025 13:28:43 +0200

libsieve (2.2.6-7) unstable; urgency=medium

  * QA upload.

  * Clean better (Closes: #1047409)
  * Bump Standards-Version to 4.7.2
  * Apply Multi-Arch: hint
  * Add debian/salsa-ci.yml

 -- Alexandre Detiste <tchet@debian.org>  Sat, 29 Nov 2025 17:03:41 +0100

libsieve (2.2.6-6) unstable; urgency=medium

  * QA upload.

  * Switch to DebHelper 13
  * Remove build-dep on quilt
  * Remove more build-deps pulled in by dh-autoreconf

 -- Alexandre Detiste <tchet@debian.org>  Wed, 26 Mar 2025 00:01:51 +0100

libsieve (2.2.6-5) unstable; urgency=medium

  * QA upload.

  [ Debian Janitor ]
  * Apply multi-arch hints. + libsieve2-1: Add Multi-Arch: same.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Wed, 02 Nov 2022 21:41:29 +0000

libsieve (2.2.6-4) unstable; urgency=medium

  * QA upload.

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on quilt.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Thu, 13 Oct 2022 13:49:24 +0100

libsieve (2.2.6-3) unstable; urgency=medium

  * QA upload.
  * Mark format as 3.0
  * Fix FTBFS. (Closes: #957479)
  * Update Standards-Version to 4.5.0
  * Use debhelper-compat.
    - Update compat level to 12.
  * Simplify debian/rules.
    - Rename override to lintian-overrides.
  * Fix install files to use mutiarch locations.
  * Remove duplicate section.
  * Add symbols file.
  * Add Vcs link to salsa.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Mon, 20 Apr 2020 23:11:49 +0100

libsieve (2.2.6-2) unstable; urgency=medium

  * QA upload.
  * Set maintainer to Debian QA Group. (see #838073)
  * Use automake instead of automake1.11 (Closes: #865187)
  * libsieve2-dev: Add missing ${misc:Depends} dependency.

 -- Adrian Bunk <bunk@debian.org>  Tue, 27 Jun 2017 11:03:49 +0300

libsieve (2.2.6-1.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Switch to debhelper 9. (Closes: #817550)
  * Bumped Standards-Version to 3.9.8.
  * Removing obsolete dependency on dpatch, added quilt instead, although no
    patches are applied.

 -- Michael Meskes <meskes@debian.org>  Wed, 22 Jun 2016 15:09:32 +0200

libsieve (2.2.6-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Switch to automake1.11. (Closes: #741720)

 -- Eric Dorland <eric@debian.org>  Mon, 17 Mar 2014 22:56:51 -0400

libsieve (2.2.6-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Don't ship .la files.
  * Fix typo in description (Closes: #557678).

 -- Luk Claes <luk@debian.org>  Fri, 01 Jul 2011 19:49:47 +0200

libsieve (2.2.6-1) unstable; urgency=low

  * New upstream version
    - Updated build-depends (added flex)
    - Updated to Standards-Version 3.7.3 with no changes

  * Conflict with libmailutils1 (Closes: 411070)
    - temporary fix until maintainer decides to split libsieve.so.1
    into another package

 -- Jose Luis Tallon <jltallon@adv-solutions.net>  Sat, 12 Apr 2008 20:22:45 +0200

libsieve (2.2.3-1) unstable; urgency=low

  * New upstream version: several improvements and bugfixes

 -- Jose Luis Tallon <jltallon@adv-solutions.net>  Sat,  2 Dec 2006 18:15:26 +0100

libsieve (2.2.1-1) unstable; urgency=low

  * New upstream version
    - Upstream removed RFCs' text. Hence, the source package was renamed.
    - Fixed upstream compilation errors, which prevented release of 2.2.0

 -- Jose Luis Tallon <jltallon@adv-solutions.net>  Tue, 24 Oct 2006 11:26:34 +0200

libsieve-dfsg (2.1.13-1) unstable; urgency=low

  * Initial debian release, fulfil ITP (Closes: #325086)
    - new upstream version
    - third internal release (First was: Mon,  5 Jun 2006 02:03:34 +0200)

  * Packaging based on previous efforts
    by Paul J Stevens <paul@nfg.nl>. Thanks.
    - Removed non-DFSG RFCs
    - miscelaneous fixes/enhancements of packaging

  * Upload sponsored by Amaya Rodrigo <amaya@debian.org>

 -- Jose Luis Tallon <jltallon@adv-solutions.net>  Tue, 22 Aug 2006 23:57:34 +0200

=== debian/control ===
Source: libsieve
Section: libs
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends:
 debhelper-compat (= 13),
 bison,
 flex,
Standards-Version: 4.7.2
Vcs-Git: https://salsa.debian.org/debian/libsieve.git
Vcs-Browser: https://salsa.debian.org/debian/libsieve
X-Style: black

Package: libsieve2-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libsieve2-1 (= ${binary:Version}),
 ${misc:Depends},
Description: library for parsing, sorting and filtering your mail
 This code is a standalone library based upon code which had been distributed
 with the Cyrus Mail Server. Currently libSieve implements two APIs:
 one that is based upon, and compatible with, the Sieve API as built into
 the Cyrus Mail Server, as well as a new API which is very well suited to
 be incorporated into other programs and is reasonably extensible.
 .
 This package contains the development files.

Package: libsieve2-1
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Multi-Arch: same
Description: library for parsing, sorting and filtering your mail
 This code is a standalone library based upon code which had been distributed
 with the Cyrus Mail Server. Currently libSieve implements two API's:
 one that is based upon, and compatible with, the Sieve API as built into
 the Cyrus Mail Server, as well as a new API which is very well suited to
 be incorporated into other programs and is reasonably extensible.
 .
 This package contains the shared libraries only.

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1

%:
	dh $@ --sourcedirectory=src --no-parallel
